/*
 * CTU Open Contest 2012
 *
 * Sample solution: Cockchafer (Practice version)
 * Author: Martin Kacer
 */

import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.text.DecimalFormat;
import java.util.StringTokenizer;

public class cockchaf {
	StringTokenizer st = new StringTokenizer("");
	BufferedReader input = new BufferedReader(new InputStreamReader(System.in));
	void useLine(String s) { st = new StringTokenizer(s); }
	void useNextLine() throws Exception { useLine(input.readLine()); }
	String nextToken() throws Exception {
		while (!st.hasMoreTokens()) st = new StringTokenizer(input.readLine());
		return st.nextToken();
	}
	int nextInt() throws Exception {
		return Integer.parseInt(nextToken());
	}
	public static void main(String[] args) throws Exception {
		cockchaf instance = new cockchaf();
		while (instance.run()) { /*repeat*/ }
	}

	static final DecimalFormat FORM = new DecimalFormat("0.0000");

	boolean run() throws Exception {
		String in = input.readLine();
		if (in == null) return false;
		useLine(in);
		int s = nextInt(), t = nextInt();
		double x1 = nextInt(), y1 = nextInt(), x2 = nextInt(), y2 = nextInt();
		double d = Math.atan2(x2-x1, y2-y1) * 180/Math.PI; // x and y is reversed intentionally
		double len = Math.sqrt((x2-x1)*(x2-x1) + (y2-y1)*(y2-y1));
		System.out.println(FORM.format(Math.abs(d)/t + len/s));
		return true;
	}
}
